Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class ErrnoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.ibm.jzos.ErrnoException

All Implemented Interfaces:
  java.io.Serializable

    public class ErrnoException

extends java.lang.RuntimeException

Exception class that holds the errno and errno2 information resulting from a native call error.

See Also:
  Serialized Form

Field Summary
`static int` | `EINVAL`
`static int` | `EMVSERR`
`static int` | `ENOMEM`
`static int` | `EPERM`
`static int` | `JR_BAD_ADDRESS`
`static int` | `JR_INTERNAL_ERROR`
`static int` | `JR_NO_STORAGE`
`static int` | `JR_SMF_BAD_RECORD_LENGTH`
`static int` | `JR_SMF_ERROR`
`static int` | `JR_SMF_NOT_ACCEPTING`
`static int` | `JR_SMF_NOT_ACTIVE`
`static int` | `JR_SMF_NOT_AUTHORIZED`

Constructor Summary
`ErrnoException(java.lang.String errnoMsg, int errno, int errno2)`

Method Summary
`int` | `getErrno()`
`int` | `getErrno2()`
`java.lang.String` | `getMessage()`
`int` | `getReasonCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EINVAL

    public static final int EINVAL

See Also:
  Constant Field Values

### ENOMEM

    public static final int ENOMEM

See Also:
  Constant Field Values

### EPERM

    public static final int EPERM

See Also:
  Constant Field Values

### EMVSERR

    public static final int EMVSERR

See Also:
  Constant Field Values

### JR_SMF_NOT_AUTHORIZED

    public static final int JR_SMF_NOT_AUTHORIZED

See Also:
  Constant Field Values

### JR_SMF_NOT_ACCEPTING

    public static final int JR_SMF_NOT_ACCEPTING

See Also:
  Constant Field Values

### JR_SMF_NOT_ACTIVE

    public static final int JR_SMF_NOT_ACTIVE

See Also:
  Constant Field Values

### JR_SMF_ERROR

    public static final int JR_SMF_ERROR

See Also:
  Constant Field Values

### JR_SMF_BAD_RECORD_LENGTH

    public static final int JR_SMF_BAD_RECORD_LENGTH

See Also:
  Constant Field Values

### JR_INTERNAL_ERROR

    public static final int JR_INTERNAL_ERROR

See Also:
  Constant Field Values

### JR_NO_STORAGE

    public static final int JR_NO_STORAGE

See Also:
  Constant Field Values

### JR_BAD_ADDRESS

    public static final int JR_BAD_ADDRESS

See Also:
  Constant Field Values

Constructor Detail

### ErrnoException

    public ErrnoException(java.lang.String errnoMsg,
                          int errno,
                          int errno2)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getErrno

    public int getErrno()

### getErrno2

    public int getErrno2()

### getReasonCode

    public int getReasonCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD